/*
 * parse.h    	Tokens in DHCPv6 Configuration Files
 *
 * Version:     @(#)parse.h   1.0     Dec-8-96
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed WITHOUT ANY WARRANTY and even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * Many thanks to Jim Bound in Digital Equipment Corp.
 * Appreciate any further work on this release.
 *
 * Authors:     Yunzhou Li (yunzhou@iol.unh.edu)
 *
 */

#ifndef __PARSE_H
#define __PARSE_H

#define MAX_LINE_LEN	101
#define MAX_TOKEN_LEN	2048

#define SEMI 	';'
#define DOT 	'.'
#define COLON 	':'
#define COMMA 	','
#define SLASH 	'/'
#define LBRACE 	'{'
#define RBRACE 	'}'

#define NONE    0x0000	/* unknow string */
#define UNKNOWN 0x0100	/* unknow string */
#define DIGIT   0x0200	/* 0, 1-9 */
#define XDIGIT  0x0400	/* a-f, A-F */
#define XPREFIX	0x0800	/* 0x, 0X */
#define _ASCII	0x0a00	/* a-z, A-Z */
#define _ALPHA	0x0c00	/* '-', '_', isalpha, !isxdigit */
#define STRING	0x1000	/* "..." */

#define DB_SVR_SERVER    	130
#define DB_SVR_LLADDR    	131
#define DB_SVR_RELAY     	132
#define DB_SVR_CLIENT    	133
#define DB_SVR_PRFSIZE   	134
#define DB_SVR_TRANS_ID  	135
#define DB_SVR_STATE     	136
#define DB_SVR_ONLINK    	137
#define DB_SVR_PREFER    	138
#define DB_SVR_VALID     	139

#define DB_CLI_IFNAME    	150
#define DB_CLI_SERVER    	151
#define DB_CLI_RELAY     	152
#define DB_CLI_CLIENT    	153
#define DB_CLI_PRFSIZE   	154
#define DB_CLI_TRANS_ID  	155
#define DB_CLI_STATE     	156
#define DB_CLI_REQLIFE   	157
#define DB_CLI_PREFER    	158
#define DB_CLI_VALID     	159

#define SVR_MAX_PREFER_LIFE	170
#define SVR_MAX_VALID_LIFE	171

#define SVR_ADDR_FROM		180
#define SVR_ADDR_TO  		181
#define SVR_ADDR_PREFIX		182
#define SVR_MULTICAST_ADDR	183

#define CLI_SOLICIT_PBIT	190
#define CLI_SOLICIT_CBIT	191
#define CLI_REQUEST_LIFE	192
#define CLI_REQUEST_QBIT	193

extern void parse_init( void );
extern int get_next_token( FILE *, char * );
extern int seek_identifer( int type, FILE * );

#endif /* __PARSE_H */
