/*
 * rly_conf.c   Configuration Routines for Relay Agent
 *
 * Version:     @(#)rly_conf.c   1.0     Dec-8-96
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed WITHOUT ANY WARRANTY and even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * Many thanks to Jim Bound in Digital Equipment Corp.
 * Appreciate any further work on this release.
 *
 * Authors:     Yunzhou Li (yunzhou@iol.unh.edu)
 *
 */

#include "compat.h"
#include <db.h>
#include "localdefs.h"
#include "u_timer.h"
#include "u_buf.h"
#include "dispatch.h"
#include "dh6.h"
#include "ext6.h"
#include "dh6_adm.h"
#include "dh6_db.h"
#include "parse.h"
#include "dh6_if.h"
#include "dh6_rly.h"

int read_dh6_relay_conf( void )
{
	char fname[60];
	char buf[100];
	int type;
	FILE *f;

	sprintf(fname, "%s%s", RLY_CONF_PATH, DH6RLY_CONF);
	if ((f=fopen(fname, "r+")) == NULL)
		log_sys(2301, "fopen");

	rewind(f);
	parse_init();
	do {
		type = get_next_token(f, buf);
		switch (type) {
		default:
		}
	} while (type != EOF);

	fclose(f);
	return 0;
}

int seek_match( char *id, int type )
{
	if ( !isascii(id[0]) )
		return type;

#ifdef DH6_DEBUG
	if ( look_db_more() )
		log_info("rly_conf: id = %s", id);
#endif
	switch ( tolower(id[0]) ) {
		case 't':
			if (!strcasecmp (id, "Test"))
				return 1;
	}
	return type;
}
