/*
 * sock.h    	External Socket Routines
 *
 * Version:     @(#)sock.h   1.0     Dec-8-96
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed WITHOUT ANY WARRANTY and even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * Many thanks to Jim Bound in Digital Equipment Corp.
 * Appreciate any further work on this release.
 *
 * Authors:     Yunzhou Li (yunzhou@iol.unh.edu)
 *
 */

#ifndef __DH6_SOCK_H
#define __DH6_SOCK_H

#define IA6S_PREFERRED  0x20

extern int cli_udp6_socket( struct in6_addr * );
extern int rly_udp6_socket( struct in6_addr * );
extern int svr_udp6_socket( struct in6_addr * );
extern char * dh6cli_adm_server_name(char *);
extern char * dh6svr_adm_server_name( void );
extern char * dh6rly_adm_server_name( void );
extern char * dh6cli_adm_name( void );
extern char* inet_ntop();
extern int inet_pton();
extern int IN6_IS_ADDR_LINKLOCAL(struct in6_addr *);
extern struct sockaddr_in6 * udp6_dest_addr(char *, ...);
extern void * cmsg_get(struct msghdr *, int, int);
extern void dh6_assign_addr6( char *, int, struct in6_addr *, int, int);

#endif /* __DH6_SOCK_H */
